#include "../inc/dictatorship.h"
#include "../inc/materials.h"
#include "../inc/basetech.h"
#include <microfx/microfx.h>
#include <microfx/ext/strtools.h>

void set_production(Production *production, int quality, int import, int export) {
    production->quality = quality;
    production->import = import;
    production->export = export;
}

void init_dictatorship(Dictatorship *dictatorship, Side side) {
    int i;
    dictatorship->year = 1917;
    /* Political party */
    dictatorship->g_side = side;
    for(i=0;i<REL_AMOUNT;i++) dictatorship->g_relations[i] = R_NEUTRAL;
    /* Production */
    for(i=0;i<PROD_AMOUNT;i++){
        dictatorship->p_agri[i].used = FALSE;
        dictatorship->p_industry[i].used = FALSE;
        dictatorship->p_service[i].used = FALSE;
    }
    /* Army */
    dictatorship->nuclear = 0; /* No nuclear bombs. */
    dictatorship->motivation = 75;
    dictatorship->soldiers = 100000;
    /* Army tech */
    memcpy(dictatorship->technologies, basetechs,
    TECHS_AMOUNT*sizeof(Technology));
    /* Money */
    dictatorship->inflation = 20;
    dictatorship->money = 2000000000.0;
}
